$schema: https://git.drupalcode.org/project/drupal/-/raw/10.1.x/core/modules/sdc/src/metadata.schema.json
name: Offcanvas (Bootstrap)
status: stable
description: Bootstrap Offcanvas component.
props:
  type: object
  properties:
    position:
      type: string
      title: Position
      description: Offcanvas position [top, right, bottom, left]
      default: ''
      enum:
        - ''
        - top
        - right
        - bottom
        - left
    color:
      type: string
      title: Color
      description: Color
      default: ''
    theme:
      type: string
      title: Theme
      description: data-bs-theme
      default: ''
      enum:
        - ''
        - light
        - dark
    attributes:
      type: Drupal\Core\Template\Attribute
      additionalProperties:
        type: string
slots:
  top:
    type: array
    title: Top
    description: 'Contents on the top, typically the page search.'
  middle:
    type: array
    title: Middle
    description: 'Contents in the middle, typically the main menu.'
  bottom:
    type: array
    title: Bottom
    description: 'Contents on the bottom (legal links, social media links, ...)'
